<?php


defined( 'ABSPATH' ) || exit;

class Chabock_Product {

	public static function get_weight(WC_Product $product): float
    {

        if ($product->is_virtual()) {
            $weight = 0;
        } elseif ($product->has_weight()) {
            $weight = wc_get_weight($product->get_weight(), 'g');
        } else {
            $weight = 0;
        }

        return floatval(apply_filters('chabock_product_weight', $weight, $product));
    }

}
